Package de.gebit.integrity.runner.logging

## Class LogLine

- java.lang.Object
- - de.gebit.integrity.runner.logging.LogLine

-     public class LogLine
      extends Object

  Represents a single log line of the `DefaultFixtureLogger`.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FixtureLogLevel` | `level` | The level at which the line was logged.
    `protected String` | `text` | The text.
    `protected long` | `timestamp` | The timestamp at which this line was logged.
    `protected static DateFormat` | `TIMESTAMP_FORMAT` | The timestamp format for stringification of this log line.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LogLine​(String aText, FixtureLogLevel aLevel)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FixtureLogLevel` | `getLevel()` |
    `String` | `getText()` |
    `long` | `getTimestamp()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### text

          protected String text

      The text.

    - #### timestamp

          protected long timestamp

      The timestamp at which this line was logged.

    - #### level

          protected FixtureLogLevel level

      The level at which the line was logged.

    - #### TIMESTAMP_FORMAT

          protected static final DateFormat TIMESTAMP_FORMAT

      The timestamp format for stringification of this log line.

  - ### Constructor Detail

    - #### LogLine

          public LogLine​(String aText,
                         FixtureLogLevel aLevel)

      Creates a new instance.
      Parameters:
        `aText` - the text
        `aLevel` - the level at which the line was logged

  - ### Method Detail

    - #### getText

          public String getText()

    - #### getTimestamp

          public long getTimestamp()

    - #### getLevel

          public FixtureLogLevel getLevel()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`